import { createRouter, createWebHashHistory } from "vue-router";
import HomeView from "@/views/HomeView.vue";

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      name: "home",
      component: HomeView,
    },
    {
      path: "/scores/:id",
      name: "score",
      props: true,
      component: () => import("./views/ScoreView.vue"),
    },
  ],
});

export default router;
